<?php

namespace App\Models;

# use Illuminate\Database\Eloquent\Model;

class Section extends Model
{
    protected $table = 'section';

    public function sectionTemplate() {
        return $this->hasOne(SectionTemplate::class, 'id', 'section_template_id');
    }

    public function note() {
        return $this->hasOne(Note::class, 'id', 'note_id');
    }

    public function client() {
        return $this->hasOne(Section::class, 'id', 'client_id');
    }
}
